<?php require_once('../Connections/receitasfluida.php'); ?>
<?php
// technocurve arc 3 php bv block1/3 start
$color1 = "#FFCCCC";
$color2 = "#FFFF99";
$color = $color1;
// technocurve arc 3 php bv block1/3 end

// technocurve arc 3 php mv block1/3 start
$mocolor1 = "#FFCC66";
$mocolor2 = "#CCFF33";
$mocolor3 = "#FFCCFF";
$mocolor = $mocolor1;
// technocurve arc 3 php mv block1/3 end

if (!function_exists("GetSQLValueString")) {
function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "") 
{
  if (PHP_VERSION < 6) {
    $theValue = get_magic_quotes_gpc() ? stripslashes($theValue) : $theValue;
  }

  $theValue = function_exists("mysql_real_escape_string") ? mysql_real_escape_string($theValue) : mysql_escape_string($theValue);

  switch ($theType) {
    case "text":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;    
    case "long":
    case "int":
      $theValue = ($theValue != "") ? intval($theValue) : "NULL";
      break;
    case "double":
      $theValue = ($theValue != "") ? doubleval($theValue) : "NULL";
      break;
    case "date":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "defined":
      $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
      break;
  }
  return $theValue;
}
}

$currentPage = $_SERVER["PHP_SELF"];

$maxRows_Rsreceitas = 50;
$pageNum_Rsreceitas = 0;
if (isset($_GET['pageNum_Rsreceitas'])) {
  $pageNum_Rsreceitas = $_GET['pageNum_Rsreceitas'];
}
$startRow_Rsreceitas = $pageNum_Rsreceitas * $maxRows_Rsreceitas;

mysql_select_db($database_receitasfluida, $receitasfluida);
$query_Rsreceitas = "SELECT * FROM receitas ORDER BY titulo ASC";
$query_limit_Rsreceitas = sprintf("%s LIMIT %d, %d", $query_Rsreceitas, $startRow_Rsreceitas, $maxRows_Rsreceitas);
$Rsreceitas = mysql_query($query_limit_Rsreceitas, $receitasfluida) or die(mysql_error());
$row_Rsreceitas = mysql_fetch_assoc($Rsreceitas);

if (isset($_GET['totalRows_Rsreceitas'])) {
  $totalRows_Rsreceitas = $_GET['totalRows_Rsreceitas'];
} else {
  $all_Rsreceitas = mysql_query($query_Rsreceitas);
  $totalRows_Rsreceitas = mysql_num_rows($all_Rsreceitas);
}
$totalPages_Rsreceitas = ceil($totalRows_Rsreceitas/$maxRows_Rsreceitas)-1;

$queryString_Rsreceitas = "";
if (!empty($_SERVER['QUERY_STRING'])) {
  $params = explode("&", $_SERVER['QUERY_STRING']);
  $newParams = array();
  foreach ($params as $param) {
    if (stristr($param, "pageNum_Rsreceitas") == false && 
        stristr($param, "totalRows_Rsreceitas") == false) {
      array_push($newParams, $param);
    }
  }
  if (count($newParams) != 0) {
    $queryString_Rsreceitas = "&" . htmlentities(implode("&", $newParams));
  }
}
$queryString_Rsreceitas = sprintf("&totalRows_Rsreceitas=%d%s", $totalRows_Rsreceitas, $queryString_Rsreceitas);
?>
<!doctype html>
 <html class="">
<!--<![endif]-->
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>LISTA RECEITAS</title>
<link href="../cssfluida/boilerplate.css" rel="stylesheet" type="text/css">
<link href="../cssfluida/css_fluida.css" rel="stylesheet" type="text/css">
<!--<!>link href="css/menunavbar.css" rel="stylesheet" type="text/css">





<!-- 
Para saber mais sobre os comentários condicionais sobre as tags html na parte superior do arquivo:
paulirish.com/2008/conditional-stylesheets-vs-css-hacks-answer-neither/

Se você estiver usando a compilação personalizada do modernizr (http://www.modernizr.com/), faça o seguinte:
* insira o link para o seu js aqui
* remova o link abaixo para o html5shiv
* adicione a classe "no-js" às tags html na parte superior
* você também pode remover o link para respond.min.js se tiver incluído o MQ Polyfill na sua compilação do modernizr 
-->
<!--[if lt IE 9]>
<script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
<![endif]-->
<script src="../js_fluida/respond.min.js"></script>
</head>
<body>
<div class="titulo">LISTA RECEITAS</div>
<div class="totalreceitas">TOTAL DE RECEITAS  <?php echo $totalRows_Rsreceitas ?> </div>
<div class="paginas">
  <?php
for ($i=0; $i <= $totalPages_Rsreceitas; $i++) {
  $TFM_PagesEndCount = $i + 1;
  if($i != $pageNum_Rsreceitas) {
    printf('<a href="'."%s?pageNum_Rsreceitas=%d%s", $currentPage, $i, $queryString_Rsreceitas.'">'.$TFM_PagesEndCount."</a>");
  }else{
    echo("<b>$TFM_PagesEndCount</b>");
  }
  if($i != $totalPages_Rsreceitas) echo(" | ");
}
 ?>
</div>
<div class="descricao">
  <?php do { ?>
    <table width="100%" border="0" align="center" cellspacing="15">
      <tr <?php 
// technocurve arc 3 php mv block2/3 start
echo " style=\"background-color:$mocolor\" onMouseOver=\"this.style.backgroundColor='$mocolor3'\" onMouseOut=\"this.style.backgroundColor='$mocolor'\"";
// technocurve arc 3 php mv block2/3 end
?>>
        <td width="70%" align="center"><a href="receita.php?id=<?php echo $row_Rsreceitas['id']; ?>"><?php echo $row_Rsreceitas['titulo']; ?></a></td>
        <td width="30%" align="center"><?php echo $row_Rsreceitas['categoria']; ?></td>
      </tr>
      <?php 
// technocurve arc 3 php mv block3/3 start
if ($mocolor == $mocolor1) {
	$mocolor = $mocolor2;
} else {
	$mocolor = $mocolor1;
}
// technocurve arc 3 php mv block3/3 end
?>
    </table>
    <?php } while ($row_Rsreceitas = mysql_fetch_assoc($Rsreceitas)); ?>
</div>
<div class="paginas">
  <?php
for ($i=0; $i <= $totalPages_Rsreceitas; $i++) {
  $TFM_PagesEndCount = $i + 1;
  if($i != $pageNum_Rsreceitas) {
    printf('<a href="'."%s?pageNum_Rsreceitas=%d%s", $currentPage, $i, $queryString_Rsreceitas.'">'.$TFM_PagesEndCount."</a>");
  }else{
    echo("<b>$TFM_PagesEndCount</b>");
  }
  if($i != $totalPages_Rsreceitas) echo(" | ");
}
 ?>
</div>
<div class="totalreceitas">TOTAL DE RECEITAS  <?php echo $totalRows_Rsreceitas ?> </div>
<p>&nbsp;</p>
<p>&nbsp;</p>
<p>&nbsp;</p>
<p>&nbsp;</p>
</body>
</html>
<?php
mysql_free_result($Rsreceitas);
?>
